cURL
curl --request PUT \ --url https://api.example.com/api/v1/indexes/{indexName}/create \ --header 'Content-Type: application/json' \ --header 'X-Eigen-API-Key: <api-key>' \ --data ' { "dimensions": 123, "metric": "<string>" } '
{ "status": 200, "message": "Index '<indexName>' created successfully." }
Create an index with given specifications.
Documentation IndexFetch the complete documentation index at: https://eigendb.mintlify.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://eigendb.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Name of the index
Dimensions of the index
The similarity metric for the index
Index created successfully.
Status code of the response
Message giving basic information on the response
Important data to be given to the caller
An error that has occured
Show child attributes